// 复制到新列
function copyListToNew(listid){

	console.log('==========');
	console.log(listid);

	var listTitle = DATA.lists[listid]['title'];
	var val = listTitle + '复制';
	// 添加列表
	doSubmitAddList(val, DATA.boardid, function (listData) {
		var copyListId = listData['data']['_id'];
		copyCardData = {};
		$.extend(copyCardData,DATA.cards);
		// 添加卡片
		for (var cardId in copyCardData) {
			if (copyCardData[cardId].boardId != DATA.boardid) continue;
			if (copyCardData[cardId].listId != listid) continue;
			if (copyCardData[cardId].archived) continue;

			var cardTitle = copyCardData[cardId]['title'];
			var description = '';
			if (copyCardData[cardId].description){
				description = copyCardData[cardId].description;
			}
			doSubmitAddCardAndDesc(cardTitle,description, DATA.boardid, copyListId, function (cardData) {
				console.log(cardData);
			});
		}
	});

}





